Page MenuHomePhabricator

Buttons on login page are inconsistent with the policy of "only one primary button"; make the sign-up button unflagged primary
Closed, ResolvedPublic

Description

"Join Wikipedia" should be quiet, and not "large" style

Event Timeline

Jaredzimmerman-WMF updated the task description. (Show Details)
Jaredzimmerman-WMF raised the priority of this task from to Needs Triage.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 18 2015, 7:00 PM
matmarex renamed this task from buttons on login page are inconsistant to Buttons on login page are inconsistent.Feb 18 2015, 7:01 PM
matmarex edited projects, added MediaWiki-User-login-and-signup; removed OOUI.
matmarex set Security to None.
matmarex added a subscriber: matmarex.

MediaWiki's login page currently uses MediaWiki UI styles, not OOjs UI.

Jaredzimmerman-WMF triaged this task as High priority.

I think the design has changed a lot since this task was filed, and it no longer applies. The page looks like this now:

Jdforrester-WMF renamed this task from Buttons on login page are inconsistent to Buttons on login page are inconsistent with the policy of "only one primary button"; make the sign-up button non-primary.Mar 2 2016, 4:29 PM
Jdforrester-WMF reopened this task as Open.
Jdforrester-WMF lowered the priority of this task from High to Normal.

Well, in that case, you can't make it non-primary without switching away from mediawiki.ui first (T85853: Convert MW core login/create account pages to OOUI (Special:UserLogin / Special:CreateAccount)).

Volker_E edited subscribers, added: Pginer-WMF; removed: Jaredzimmerman-WMF.Mar 2 2016, 7:33 PM

Change 275748 had a related patch set uploaded (by VolkerE):
Minor update on login form on layout and buttons

https://gerrit.wikimedia.org/r/275748

Change 275748 merged by jenkins-bot:
Minor update on login form on layout and buttons

https://gerrit.wikimedia.org/r/275748

Jdforrester-WMF renamed this task from Buttons on login page are inconsistent with the policy of "only one primary button"; make the sign-up button non-primary to Buttons on login page are inconsistent with the policy of "only one primary button"; make the sign-up button unflagged primary.
Jdforrester-WMF updated the task description. (Show Details)
Volker_E updated the task description. (Show Details)Mar 8 2016, 10:46 PM

T85853 would only be required if we wanted it to be progressive non-primary, rather than just non-primary, as it was implemented. (The difference is mostly in text color and hover background color.)

matmarex closed this task as Resolved.Mar 8 2016, 11:02 PM
matmarex assigned this task to Volker_E.
matmarex removed a project: Patch-For-Review.

Change 277647 had a related patch set uploaded (by VolkerE):
Follow-up to sign-up portion of the login form

https://gerrit.wikimedia.org/r/277647

Change 277647 merged by jenkins-bot:
Improve sign-up portion of the login form

https://gerrit.wikimedia.org/r/277647